org.apache.olingo.ext.proxy.commons

## Class NonTransactionalPersistenceManagerImpl

- java.lang.Object
- - org.apache.olingo.ext.proxy.commons.NonTransactionalPersistenceManagerImpl

- All Implemented Interfaces:
    Serializable, PersistenceManager

      public class NonTransactionalPersistenceManagerImpl
      extends Object

  `PersistenceManager` implementation not using OData batch requests: any read-write operation will be sent separately to the OData service when calling `flush()`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `LOG` Logger.
    `protected AbstractService<?>` | `service`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonTransactionalPersistenceManagerImpl(AbstractService<?> factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doFlush(PersistenceChanges changes, TransactionItems items)`
    `void` | `flush()` Flushes all pending changes to the OData service.
    `Future<Void>` | `flushAsync()` Asynchronously flushes all pending changes to the OData service.
    `protected void` | `processDelayedUpdates(List<EntityLinkDesc> delayedUpdates, int pos, TransactionItems items, PersistenceChanges changeset)`
    `protected int` | `processEntityContext(EntityInvocationHandler handler, int pos, TransactionItems items, List<EntityLinkDesc> delayedUpdates, PersistenceChanges changeset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          protected static final org.slf4j.Logger LOG

      Logger.

    - #### service

          protected final AbstractService<?> service

  - ### Constructor Detail

    - #### NonTransactionalPersistenceManagerImpl

          public NonTransactionalPersistenceManagerImpl(AbstractService<?> factory)

  - ### Method Detail

    - #### doFlush

          protected void doFlush(PersistenceChanges changes,
                                 TransactionItems items)

    - #### flushAsync

          public Future<Void> flushAsync()

      Description copied from interface: `PersistenceManager`
      Asynchronously flushes all pending changes to the OData service.
      Specified by:
        `flushAsync` in interface `PersistenceManager`
      Returns:
        a future handle

    - #### flush

          public void flush()

      Description copied from interface: `PersistenceManager`
      Flushes all pending changes to the OData service.
      Specified by:
        `flush` in interface `PersistenceManager`

    - #### processEntityContext

          protected int processEntityContext(EntityInvocationHandler handler,
                                             int pos,
                                             TransactionItems items,
                                             List<EntityLinkDesc> delayedUpdates,
                                             PersistenceChanges changeset)

    - #### processDelayedUpdates

          protected void processDelayedUpdates(List<EntityLinkDesc> delayedUpdates,
                                               int pos,
                                               TransactionItems items,
                                               PersistenceChanges changeset)

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.